import os
from pathlib import Path


ROOT_DIR = Path(__file__).absolute().parent.parent
BENCHMARK_DIR = (Path(path) if (path:=os.environ.get("BENCHMARK_DIR")) is not None else None)
REQUEST_DIR = (Path(path) if (path:=os.environ.get("REQUEST_DIR")) is not None else None)

def _validate_env_dir(path, environ_variable):
    if path is None:
        raise EnvironmentError(
            f"Please, set environment variable '{environ_variable}'."
        )
    if not path.exists():
        raise FileNotFoundError(
            f"Environment variable BENCHMARK_DIR set to '{path}', "
            "but directory does not exist."
        )

def validate_benchmark_dir():
    _validate_env_dir(BENCHMARK_DIR, "BENCHMARK_DIR")

def validate_request_dir():
    _validate_env_dir(REQUEST_DIR, "REQUEST_DIR")

